> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anchorbrowser.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Respond to Human Intervention

> Submits a response to a pending human-intervention request from the in-session agent.



## OpenAPI

````yaml /openapi.yaml post /v1/sessions/{session_id}/agent/respond-to-human-intervention
openapi: 3.1.0
info:
  title: AnchorBrowser API
  version: 1.0.0
  description: APIs to manage all browser-related actions and configuration.
servers:
  - url: https://api.anchorbrowser.io
    description: API server
security: []
paths:
  /v1/sessions/{session_id}/agent/respond-to-human-intervention:
    post:
      tags:
        - Agentic capabilities
      summary: Respond to Human Intervention
      description: >-
        Submits a response to a pending human-intervention request from the
        in-session agent.
      parameters:
        - name: session_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: true
              description: The intervention response payload.
      responses:
        '200':
          description: Response submitted successfully.
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - api_key_header: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: integer
            message:
              type: string
  securitySchemes:
    api_key_header:
      type: apiKey
      in: header
      name: anchor-api-key
      description: API key passed in the header

````